indexing

   title:       "SCIENTIFIC_FORMAT extension example";
   cluster:     "format/science/examples/vector [format/science/examples/vector]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Andy Malakov  (andy@eiffel.ru) and";
   original:    08,Sep,1995;
   version:     1.0;
   last_change:
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "ext_form.e"

class EXT_SCIENTIFIC_FORMAT
      -- Class illustrate SCIENTIFIC_FORMAT extension

   inherit

      SCIENTIFIC_FORMAT
         redefine
            formatters
         end

   creation
      make

   feature

      ---------------------------------------------------------- formatters
      formatters : TYPECHAR_FORMAT_TABLE [ TYPECHAR_FORMATTER ] is
         local
            fmt :  TYPECHAR_FORMATTER
            type : ABSTRACT_FORMATTER
            vect : ARRAY [ REAL ]
         once
            Result := std_formatters
            !!vect.make ( 1, 0 )

            !VECTOR_FORMATTER!type.make ( vect )
            !!fmt.make ( 'v', vect, type, "" )
            Result.add ( fmt )
         end

end -- class EXT_SCIENTIFIC_FORMAT

