indexing

   title:       "Hex number formatter";
   cluster:     "format/science [format/science]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Igor Nesterof (nest@eiffel.ru)";
   original:    08,Sep,1995;
   version:     1.0;
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "hex_fmt.e"

class HEX_FORMATTER

inherit
   UNSIGNED_INTEGER_FORMATTER
      redefine
         make
      end

creation
   make

feature
   make, frozen hex_make (i : INTEGER_REF) is
   require else
      format_number : i /= Void
      positive_argument : i >=0
   do
      make_with_base(i.item,16)
   end

end -- class HEX_FORMATTER
